Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.lwclient
Interface LwcMailboxDirectory

All Known Implementing Classes:
  LwcMailbox

Deprecated. The LwcMailboxDirectory manages message management in a mailbox

public interface LwcMailboxDirectory
extends weblogic.rmi.Remote

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addMessage(MessageInfo minfo, byte[] msg, boolean filesharing)` Deprecated. Adds a message to the mailbox.
`void` | `createMailbox(java.lang.String name)` Deprecated. Create a mailbox with the specified name.
`void` | `expungeMessages()` Deprecated. Deletes all messages from the mailbox.
`byte[]` | `getMessage(java.lang.String msgid)` Deprecated. Returns the payload of the message with the specified id.
`int` | `getMessageCount()` Deprecated. Returns the number of messages in the mailbox.
`MessageInfo[]` | `getMessageInfos()` Deprecated. Returns info about all messages in the mailbox.
`byte[][]` | `getNewMessagesContent()` Deprecated. Returns array of new message contents in given mailbox
`java.lang.String` | `getSender(java.lang.String messageid)` Deprecated. Returns sender of a particular message in a mailbox
`boolean` | `isExistMailbox(java.lang.String name)` Deprecated. Returns a boolean true if the mailbox with the specified name exists.
`void` | `listen(java.lang.String outMbox, java.lang.String url)` Deprecated. Listens for messages coming into the mailbox and sends an XML event to the internal JMS EventQueue.
`void` | `removeMailbox(java.lang.String name)` Deprecated. Remove the mailbox with the specified name.
`void` | `removeMessage(java.lang.String msgid)` Deprecated. Removes the message with the specified id from the mailbox.
`void` | `setMessageStatus(java.lang.String msgid, int status)` Deprecated. Sets the status of the message to the specified value.

Method Detail

### createMailbox

    public void createMailbox(java.lang.String name)
                       throws LwcMailboxException,
                              weblogic.rmi.RemoteException

  Deprecated.
  Create a mailbox with the specified name.

  Parameters:
    `name` - Name of the mailbox to create.
  Throws:
    LwcMailboxException - If mailbox creation fails.
    weblogic.rmi.RemoteException -

### removeMailbox

    public void removeMailbox(java.lang.String name)
                       throws LwcMailboxException,
                              weblogic.rmi.RemoteException

  Deprecated.
  Remove the mailbox with the specified name.

  Parameters:
    `name` - Name of the mailbox to remove.
  Throws:
    LwcMailboxException - If mailbox removal fails.
    weblogic.rmi.RemoteException -

### isExistMailbox

    public boolean isExistMailbox(java.lang.String name)
                           throws LwcMailboxException,
                                  weblogic.rmi.RemoteException

  Deprecated.
  Returns a boolean true if the mailbox with the specified name exists. If the specified mailbox does not exist (mailbox is null), it returns false.

  Parameters:
    `name` - Name of the mailbox.
  Returns:
    boolean - true/false
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### addMessage

    public void addMessage(MessageInfo minfo,
                           byte[] msg,
                           boolean filesharing)
                    throws LwcMailboxException,
                           weblogic.rmi.RemoteException

  Deprecated.
  Adds a message to the mailbox.

  Parameters:
    `minfo` - Metadata info of the message.
    `msg` - The message payload.
    `filesharing` - If true file sharing client tries to add message
  Throws:
    LwcMailboxException - If mailbox operation fails.

### removeMessage

    public void removeMessage(java.lang.String msgid)
                       throws LwcMailboxException,
                              weblogic.rmi.RemoteException

  Deprecated.
  Removes the message with the specified id from the mailbox.

  Parameters:
    `msgid` - Identifier of the message to be removed.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### getMessageCount

    public int getMessageCount()
                        throws LwcMailboxException,
                               weblogic.rmi.RemoteException

  Deprecated.
  Returns the number of messages in the mailbox.

  Returns:
    int - number of messages.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### getMessageInfos

    public MessageInfo[] getMessageInfos()
                                  throws LwcMailboxException,
                                         weblogic.rmi.RemoteException

  Deprecated.
  Returns info about all messages in the mailbox. If the mailbox is ordered, the returned messages will be sequenced in the same order in which they were added.

  Returns:
    MessageInfo[] - Array of message info.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### getMessage

    public byte[] getMessage(java.lang.String msgid)
                      throws LwcMailboxException,
                             weblogic.rmi.RemoteException

  Deprecated.
  Returns the payload of the message with the specified id.

  Parameters:
    `msgid` - Message id.
  Returns:
    byte[] - Message payload.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### setMessageStatus

    public void setMessageStatus(java.lang.String msgid,
                                 int status)
                          throws LwcMailboxException,
                                 weblogic.rmi.RemoteException

  Deprecated.
  Sets the status of the message to the specified value. Valid status values are MessageInfo.StatusNew and MessageInfo.StatusRead

  Parameters:
    `msgid` - Message id.
    `status` - Message status.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### expungeMessages

    public void expungeMessages()
                         throws LwcMailboxException,
                                weblogic.rmi.RemoteException

  Deprecated.
  Deletes all messages from the mailbox.

  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### listen

    public void listen(java.lang.String outMbox,
                       java.lang.String url)
                throws weblogic.rmi.RemoteException

  Deprecated.
  Listens for messages coming into the mailbox and sends an XML event to the internal JMS EventQueue.

  Parameters:
    `outMbox` - outgoing mailbox name.
    `url` - Weblogic URL for JNDI context lookup.

### getSender

    public java.lang.String getSender(java.lang.String messageid)
                               throws LwcMailboxException,
                                      weblogic.rmi.RemoteException

  Deprecated.
  Returns sender of a particular message in a mailbox

  Parameters:
    `messageid` - Unique Message Identifier.
  Returns:
    String sender name

### getNewMessagesContent

    public byte[][] getNewMessagesContent()
                                   throws LwcMailboxException,
                                          weblogic.rmi.RemoteException

  Deprecated.
  Returns array of new message contents in given mailbox

  Returns:
    byte[][] array of new message content in bytes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)